[KM400] f-spot and system inputs freeze when using xorg via-/unichrome-driver

Bug #89467 reported by Joachim Beckers on 2007-03-03
54
Affects Status Importance Assigned to Milestone
F-Spot
New
Critical
openchrome
Invalid
Undecided
Unassigned
f-spot (Ubuntu)
Medium
Unassigned
xserver-xorg-video-openchrome (Ubuntu)
Medium
Unassigned
xserver-xorg-video-unichrome (Ubuntu)
Medium
Unassigned
xserver-xorg-video-via (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: f-spot

I'm running the latest feisty, with all updates. the system has the latest low-latency kernel.

on this config, f-spot freezes the system when importing pictures. everything works well until the point you click "import" in the import dialog. after that the system freezes (I think it's a kernel crash, since the mouse/keyboard/usb/power button all stop working). it needs a hard reset to be brought back to life.

after restarting, you can see the pictures are imported correctly, and they can be removed from the library without a problem.

this could be an issue with the new x.org/xcb, but I have no idea how to find out. the logs don't show anything.

Joachim Beckers (jbeckers) wrote :

ok, some more information:

- f-spot was updated recently, but the new package doesn't fix the problem.

- I've removed all xcb stuff from my system, which didn't help.

- I've noticed that f-spot sometimes also freezes the system when I close it.

Surricani (surricani) wrote :

I'm in the same situation.

I'm using the standard Ubuntu 7.04

All programs of the distribution: standard Kernel, ecc...

When I try to import photos with f-spot it occur a system crash. I have to reboot manually.

It occur always with arbitrary number of photo... I've tried from 1 to 240... And it's always the same.

I can't attach more informations because the system freeze and I can only manually reboot it.

Joachim Beckers (jbeckers) wrote :

more info:

- the problem also occurs with f-spot from cvs

- I've now even found that f-spot freezes the system right in the middle of any possible action. sometimes, just starting it can trigger the problem.

Changed in f-spot:
status: Unconfirmed → Confirmed
JoeInnes (joeinnes+launchpad) wrote :

I confirm this bug on amd64 arch. I'm fairly convinced it's not a Kernel lock-up, as if I'm playing music, that continues to run. But it's true, keyboard and mouse become unresponsive, including the Ctrl+Alt+Backspace last-resort command to kill X.

I filed this on bugzilla, before I was told it was here.

Joe

Changed in f-spot:
status: Unknown → Unconfirmed
mikes (mikeskla) wrote :

I am also having this problem with Feisty 7.04. My system totally locks up the mouse and keyboard when importing to or closing F-Spot. I think it may be hardware related because I have the issue even when running the live CD on one of my computers but a second computer runs the same live CD just fine. Here are the specs of the motherboard from the affected computer. My guess is the UniChrome graphics. Previous versions of Ubuntu and F-Spot were fine. Other applications in 7.04 work fine.

1-2 Specification
      Spec Description
                     ∗ Micro ATX form factor 4 layers PCB size: 24.4x22.0cm
Design
                     ∗ VIA KM400 Memory Graphic Host Chipset (V4MDM/V4MDM)
Chipset
                     ∗ VIA KM266Pro Memory Graphic Host Chipset (for V2MDMP)
                     ∗ VIA VT8235 South Bridge
                     ∗ Support 200/266/333MHz (100/133/166MHz) Front Side Bus
Clock Generator
                       Clock (CPU Bus clock)
                     ∗ Support DDR200/266/333 system memory clock
                     ∗ Support 33MHz PCI Bus clock
                     ∗ Support AMD Athlon 600MHz∼1.4GHz processor
CPU Socket
                     ∗ Support AMD Athlon XP 1500+~3000+ processor
                     ∗ Support AMD Duron 600MHz~1.3GHz processor
                     ∗ Support 200/266/333MHz (100/133/166 MHz) CPU Bus clock
                     ∗ Reserves support for future AMD Athlon/Duron processors
                     ∗ 184-pin DDR DIMM socket x2 support
Memory Socket
                       DDR200/DDR266/DDR333 SDRAM
                     ∗ Expandable to 2GB
                     ∗ AGP slot x1 support AGP 3.0 & 8X mode (V4MDMP/V4MDM)
Expansion Slot
                     ∗ AGP slot x1 support AGP 2.0 & 4X mode (V2MDMP)
                     ∗ 32-bit PCI slot x3
                     ∗ UniChrome graphic acceleration
 Integrate VGA
                     ∗ VGA Memory share 16MB∼64MB from system memory
                     ∗ 24-bit true-color RAMDAC up to 250MHz pixel rate
                     ∗ Resolution up to 1920x1440
                     ∗ Two PCI IDE controllers support PCI Bus Mastering, ATA
 Integrate IDE
                       PIO/DMA and the ULTRA DMA 66/100/133 functions that deliver
                       the data transfer rate up to 133 MB/s
                     ∗ VIA VT6103 LAN PHY support 10/100Mbps full duplex, half
 On board LAN
                       duplex operation
 (V4MDM not support)
                     ∗ AC’97 Digital Audio controller integrated
 Audio
                     ∗ AC’97 Audio CODEC on board
                     ∗ Audio driver and utility included
                     ∗ Award 2MB Flash ROM
 BIOS
                     ∗ PS/2 keyboard and PS/2 mouse connectors
 Multi I/O
                     ∗ Parallel port x1
                     ∗ Serial port x2 (connector x1, Header x1)
                     ∗ USB2.0 connector x2, USB2.0 headers x4 (cable option)
                     ∗ Audio connector (Line-in, Line-out, MIC & Game Port)

Joachim Beckers (jbeckers) wrote :

mikes: what driver are you running? the -via or the -unichrome?

JoeInnes (joeinnes+launchpad) wrote :

I'm running the same graphics card, and Ubuntu defaults to the "-via" driver.

Joe

Joachim Beckers (jbeckers) wrote :

then it's not a graphics driver issue, since I'm running the unichrome driver on a km400 (I've tested both the one that comes with feisty and the one from git)

mikes (mikeskla) wrote :

For the record I am using the -via driver. Surricani: are you also using the same graphics card?

JoeInnes (joeinnes+launchpad) wrote :

I don't think so. As far as I can tell, this particular bug results in complete lock-up, and the other one doesn't. Also, the other one is triggered on closing, whereas this on can be triggered in a number of places.

GercoKees (gercokees) wrote :

Hi all
I have the same problem. If i can do anything to help, please let me know.
- System lock on import (caps-lock and ctrl+alt+backspace does not work anymore, use the powerbutton to shutdown)
- Systemlock after rotating a few pictures, then closing f-spot and the system freezes in a similar way.

would the output of lspci be of any help?
Greetz

SteveEast (me2007) wrote :

Same problem. Feisty 7.04. VIA Nehemiah processor.

Steve.

Mitsch (kontakt-riotmusic) wrote :

The subject of this bugreport is misleading ("freezes system"), but I can confirm, that f-spot sometimes just blocks the mouse, the keyboard and the monitor. My system's is still alive and can be used via network (by ssh f.e.). When I kill f-spot (via ssh) everything goes back to normal, I can use the system as before. I guess, that all the others reporting the bug, don't really experience a system freeze! I even guess, that the one reported bug no. 104372 didn't experienced a total lock-up, but it just looks like one - if you can't use your mouse and keyboard, your monitor is frozen and you've got no network-machine to find out, if your computer's dead or not: How to find out?

I'm also using the Unichrome-GPU from VIA and the via-driver of x.org! There seems to be the problem.

Mitsch

JoeInnes (joeinnes+launchpad) wrote :

Joachim has already said that it's not a driver issue. If you've got a box capable of sshing, maybe you could run f-spot remotely, and get the console output and backtraces for it?

Joe

Mitsch (kontakt-riotmusic) wrote :

Here we go!

Some comments to the Attachment:
I got this error as I wanted to import a bundle of pictures. First time, I imported the pictures but I found out, that the gnome-terminal didn't save enough lines. So, I tried it once again, because the pictures seemed not to be imported. What you see here is the output of the second time. Unfortunately, f-spot wasn't able to find the pictures again (although they were in the same directory *???*) and I escaped. Gladly f-spot did crash, also, so I hope this output leads to the right issue!

Mitsch

PS: Tried to send the output with Evolution, but as it is not here, yet, I guess the only way to add a comment, is to use this url. Sorry, if something was doubled because of this.

Mitsch (kontakt-riotmusic) wrote :

Here we go!

I don't know, what you mean with "bachtraces" and how I get them but here is what was printed to the console.
Some comments to the Attachment:
I got this error as I wanted to import a bundle of pictures. First time, I imported the pictures but I found out, that the gnome-terminal didn't save enough lines. So, I tried it once again, because the pictures seemed not to be imported. What you see here is the output of the second time. Unfortunately, f-spot wasn't able to find the pictures again (although they were in the same directory *???*) and I escaped. Gladly f-spot did crash, also, so I hope this output leads to the right issue!

Mitsch

PS: Tried to send the output with Evolution, but as it is not here, yet, I guess the only way to add a comment, is to use this url. Sorry, if something was doubled because of this.

GercoKees (gercokees) wrote :

Hi,
I can try to get the system running again using ssh. I did not realize that could be possible. Please point me to the files you want me to post here, i would be glad to help...!
Thanks in advance

JoeInnes (joeinnes+launchpad) wrote :

I'm not a developer, so I can't actually fix anything, but I know that the best way to get a problem fixed is to copy and paste both the console output, and the backtrace. To perform a backtrace, type:

gdb f-spot

And wait for it to crash. Then attach all of the information here, and we wait until someone fixes it :o)

Thanks

Joe

Joachim Beckers (jbeckers) wrote :

looking at those logs, it could well be a driver issue. I'll try the ssh thing in a couple of days when I have the time.

meanwhile, I'm subscribing libv to this bug.

libv (libv) wrote :

104372 is not related:
...
b1a78000-b1f78000 rwxs e2000000 00:0d 15386 /dev/nvidia0
b1f78000-b2010000 rwxp b1f78000 00:00 0
b2010000-b2011000 r-xp 00000000 03:02 224590 /usr/lib/tls/libnvidia-tls.so.1.0.7184
...

This here does seem to be too much of a coincidence for it not to be unichrome/via related. I'm suspecting the likes of XAA or drm here. It doesn't seem to be a SIMD related error either, as the KM400 only is used for AMD athlons (durons, those rebadged as geodes) and other reports are for the C3 too.

What it is, i don't know yet, but i'll keep this in my inbox until it is solved (or until this turns out not to be a driver issue)

Neil Martin (neil-martin28) wrote :

Also encountering exactly the same symptoms with f-spot. Using an Acer Aspire 1350 laptop with Athlon XP 2400+ which, as you guessed it, has a VIA KM400 GPU... I've switched to using gThumb and uninstalling f-spot for now. If there is any extra information you need me to provide, please let me know (I won't be around much in the coming weeks as my partner is expecting our son in early June, but I'll pop in when I can :-)).

Regards,

Neil.

JoeInnes (joeinnes+launchpad) wrote :

Erm, received an e-mail update, but can't see the post here... oh well, I'll reply anyway.

fspot is just a shell script that calls a different programme. Try

gdb /usr/lib/f-spot/f-spot.exe

Cheers

Joe

GercoKees (gercokees) wrote :

Hi,
I tried to make a backtrace, i hope it is helpfull (it was aqualy the first time tried to backtrace a program). Please let me know when i have to do someting in a different way.
I would be glad to help...
Greetz...

GercoKees (gercokees) wrote :

By the way,
I am not sure if the program crashes the same way, but it crashes anyhow. Normaly, without gdb, it crashes upon cimporting of pictures, now, the program freezes on attaching gdb.

Joachim Beckers (jbeckers) wrote :

for those coming here to find a workaround: use the -vesa driver. it's far from optimal graphics-wise, but I've been using it for the last week and f-spot hasn't crashed once.

Changed in f-spot:
status: Unconfirmed → Needs Info
Sergejs (sergejs-nosovs) wrote :

Also encountering exactly the same symptoms with f-spot. Using an Benq R22E notebook. All was right after upgrade from Ubuntu 6.10 till 7.04. But once day I decided install 7.04 from CD-ROM to clean formatted HDD. :-(

crazee (crazee64) wrote :

I am also seeing this on my system - no prizes for guessing that this is a KM400 chipset also. I am using the via driver, standard feisty kernel - recently upgraded from an edgy install. I never saw anything like this before the upgrade to 0.3.5 that came with feisty. It seems to happen pretty well anywhere. It can be triggered by exiting, importing, canceling an import, double clicking on a tag etc. Hard reboot is needed (this machine is currently off the network).

GercoKees (gercokees) wrote :

A few lines from my /etc/X11/xorg.conf:
Section "Device"
    Identifier "VIA Technologies, Inc. S3 Unichrome Pro VGA Adapter"
    Driver "via"
    BusID "PCI:1:0:0"
EndSection

So i guess i use the via driver.
Please correct me if i am wrong.
Greetz

Changed in f-spot:
status: Needs Info → Unconfirmed
crazee (crazee64) wrote :

Thanks for the work around Joachim, switching to the vesa driver worked perfectly for me too. I imported around 400 images last night and worked the system pretty hard with no ill effects.

Joachim Beckers (jbeckers) wrote :

the problem persists on gutsy

GercoKees (gercokees) wrote :

When the vesa driver works, and the via-driver does not, maye we change the subject to:
"[feisty] f-spot triggers via-driver to freeze the system" or something like that?

Changed in xserver-xorg-video-unichrome:
status: Unconfirmed → Confirmed
Bryce Harrington (bryce) wrote :

This sounds rather similar to bug 43154, "freezes with 3D applications on VIA Unichrome K8M800, KM400" which occurs with apps that use 3D. The root cause of the bug appears to deal with IRQ's. There are a number of workarounds suggested on that bug, that someone may wish to test for this bug too.

Mitsch (kontakt-riotmusic) wrote :

@Brice Harrington:
I don't agree. 3D is working on my system with both via- and unichrome-driver. I'm playing Ri-Li, Tremulous, Gnome-Chess in 3D, Scorched3D and OpenArena without any of the problems reported in bug 43154. There are several games that don't work with this driver (f.e. Nexuiz, TORCS and Balazar) - the games are crashing on my system - but with these games I have never had a freeze like it is discussed here (with the system still available over ssh) or on the other bug-reports for the via/unichrome-driver (with system freeze, forcing the user to reboot). F-Spot is the only application that I have experienced a x-server-freeze with.

Greetings

Patrick Demonguères (pdemong) wrote :

Well, I just installed a new feisty, and I experimented that bug. Hopefully I can do a ssh session to kill the f-spot process right after an import. But it's not funny having to do so for each import...
In my xorg.conf, I use the via driver S3 Unichrome...Should I change the driver ?

Patrick Demonguères (pdemong) wrote :

linux@mon-ordi:/etc/X11$ lspci | grep -i video
01:00.0 VGA compatible controller: VIA Technologies, Inc. VT8378 [S3 UniChrome] Integrated Video (rev 01)

GercoKees (gercokees) wrote :

Patrick Demonguères
try the vesa driver or disable interupts. also, take a look at bug 43154

this problem also occurs with the openchrome driver that was added to gutsy some days ago.

mikko (mikko-) wrote :

Disabling dri in xorg.xonf fixed all problems in my machine, in f-spot and all other programs. Except for slideshow is veeeeery slooooow...

Section "Module"
        Disable "dri"
EndSection

or:

Section "Module"
        #Load "dri"
EndSection

Does this bug still occur with f-spot 0.4.1-1?

Changed in f-spot:
importance: Undecided → Medium
status: New → Incomplete
Maia Everett (lucidfox) on 2008-01-05
Changed in xserver-xorg-video-openchrome:
importance: Undecided → Medium
Changed in xserver-xorg-video-unichrome:
importance: Undecided → Medium
Changed in xserver-xorg-video-via:
importance: Undecided → Medium
Toni Hintikka (toni-hintikka) wrote :

I have a same Bug with this Driver with Gutsy.

mikko (mikko-) wrote :

Hardy Alpha 4-livecd, I selected "cancel" in F-spot's import pictures window and then total freeze

Maia Everett (lucidfox) on 2008-02-09
Changed in f-spot:
status: Incomplete → Triaged
mikko (mikko-) wrote :

No freeze with vesa driver in Alpha 4-livecd

tech0007 (tech0007) wrote :

F-spot still freezes with hardy 5 using openchrome.

just a me-too for Hardy released version. I too have Via chipset. I'm happy to gather more info if someone is working on this bug.

Changed in openchrome:
status: Unknown → New
Olivier Mehani (shtrom) wrote :

Same behavior: (I/O) freezes here, on a KM400 running 8.04 zith fspot-0.4.3.1-0ubuntu1.
00:00.0 Host bridge: VIA Technologies, Inc. VT8378 [KM400/A] Chipset Host Bridge
00:01.0 PCI bridge: VIA Technologies, Inc. VT8237 PCI Bridge
00:10.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 80)
00:10.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 80)
00:10.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 80)
00:10.3 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 82)
00:11.0 ISA bridge: VIA Technologies, Inc. VT8235 ISA Bridge
00:11.1 IDE interface: VIA Technologies, Inc. VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06)
00:11.5 Multimedia audio controller: VIA Technologies, Inc. VT8233/A/8235/8237 AC97 Audio Controller (rev 50)
00:12.0 Ethernet controller: VIA Technologies, Inc. VT6102 [Rhine-II] (rev 74)
01:00.0 VGA compatible controller: VIA Technologies, Inc. VT8378 [S3 UniChrome] Integrated Video (rev 01)

Changed in xserver-xorg-video-openchrome:
status: New → Confirmed
Olivier Mehani (shtrom) wrote :

Disabling DRI in xorg.conf fixes the problem for me.

Section "Module"
        ...
        Disable "dri"
EndSection

Bryce Harrington (bryce) wrote :

-unichrome is being dropped in Intrepid since it no longer builds with Intrepid's xserver. -openchrome should be used instead, and will be the only VIA driver supported going forward.

Changed in xserver-xorg-video-unichrome:
status: Confirmed → Won't Fix
Bryce Harrington (bryce) wrote :

This issue should be fixed in -openchrome, not the long obsolete -via driver.

Changed in xserver-xorg-video-via:
status: Confirmed → Won't Fix
Changed in xserver-xorg-video-openchrome:
status: Confirmed → Triaged
Bryce Harrington (bryce) on 2009-09-02
tags: added: hardy
Bartosz Kosiorek (gang65) wrote :

Is this problem also exist in Jaunty and Karmic Koala?

Changed in xserver-xorg-video-openchrome (Ubuntu):
status: Triaged → Incomplete
Changed in f-spot (Ubuntu):
status: Triaged → Incomplete
summary: - [feisty/gutsy/hardy] f-spot and system inputs freeze when using xorg via
- -/unichrome-driver
+ [KM400] f-spot and system inputs freeze when using xorg via-/unichrome-
+ driver
Michał Borsuk (michal-borsuk) wrote :

I have this problem in Karmic 9.10. Didn't occur earlier. Symptoms like the others have already described.

System: AMD x86 with nVidia 6600, driver 174.x.x (later nVidia driver causes an unrelated bug, can't use, can't test).

What do you need to reverse the "Incomplete" tag? I'm quite desperate about this.

Changed in xserver-xorg-video-openchrome (Ubuntu):
status: Incomplete → Invalid
Changed in openchrome:
importance: Unknown → Undecided
status: New → Invalid
Bartosz Kosiorek (gang65) wrote :

Hi Michał.
Cofirm this bug at:
https://bugzilla.gnome.org/show_bug.cgi?id=433723

Try to run f-spot from console and attach the output.
I think this did not happen in versions prior to f-spot 0.4.x.

Changed in f-spot (Ubuntu):
status: Incomplete → Confirmed
Changed in f-spot (Ubuntu):
status: Confirmed → Triaged
Changed in f-spot:
importance: Unknown → Critical
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.